"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EQ = exports.GT = exports.LT = undefined;

var _symbol = require("babel-runtime/core-js/symbol");

var _symbol2 = _interopRequireDefault(_symbol);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * lazy-linked-lists
 * Lazy and infinite linked lists for JavaScript.
 *
 * source/ord.js
 *
 * Ordering symbols.
 * @license ISC
 */

/**
 * The "less than" ordering. Equivalent to <.
 * @const {Symbol} LT
 */
var LT = exports.LT = (0, _symbol2.default)();

/**
 * The "greater than" ordering. Equivalent to >.
 * @const {Symbol} GT
 */
var GT = exports.GT = (0, _symbol2.default)();

/**
 * The "equals" ordering. Equivalent to ===.
 * @const {Symbol} EQ
 */
var EQ = exports.EQ = (0, _symbol2.default)();